View Issue Details

IDProjectCategoryView StatusLast Update
0016096LazarusIDEpublic2010-03-30 10:12
ReporterFlávio Etrusco Assigned ToMartin Friebe  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0016096: Disabling breakpoint shows as "enabled" (red dot on gutter) when/while stepping over it
DescriptionDisabling breakpoint doesn't update/invalidate the icon in the gutter
TagsNo tags attached.
Fixed in Revision21264
LazTarget0.9.30
Widgetset
Attached Files

Activities

Martin Friebe

2010-03-24 04:46

manager   ~0036011

Was that tested with the latest svn? I can not reproduce at current, and the same thing was fixed in revision 24160 ?

If still reproducible after rev 24182 then please specify under which circumstances?
during debugging session running, or before starting debugger?
if while running, on any line, or on the current execution line only?

Flávio Etrusco

2010-03-24 17:22

developer   ~0036037

Yes, tested with current svn. It occurs during debugging session, on the current line only.
(TBH this report was like a to-do to myself ;-)

Martin Friebe

2010-03-24 19:36

manager   ~0036041

Yes you are right, I tested "delete" instead of "disable".

This was present before the current source-editor changes.

In fact the breakpoint is updated, but uses the wrong icon.

If you stop a line before a disabled breakpoint, and then step on the disabled breakpoint (F8), it will change to the icon of a enabled brk-point for the time you are stopped at this line.

Flávio Etrusco

2010-03-27 01:14

developer   ~0036147

Last edited: 2010-03-27 01:55

debugger_xxx image go in images/debugger.
UnknownInactivexxx go in images/sourceeditor.
There the issue of whether
+  // Makes the editor update the ExecutionSourceMark.
+  if Assigned(SourceMark.SourceMarks) and Assigned(SourceMark.SourceMarks.OnAction) then
+    SourceMark.SourceMarks.OnAction(SourceMark, lnAdded);

is acceptable. Tons of alternatives...

2010-03-28 11:07

 

2010-03-28 11:17

 

2010-03-28 11:18

 

2010-03-28 12:46

 

Martin Friebe

2010-03-28 14:49

manager   ~0036200

Applied, thanks

Issue History

Date Modified Username Field Change
2010-03-24 02:26 Flávio Etrusco New Issue
2010-03-24 02:26 Flávio Etrusco LazTarget => -
2010-03-24 04:42 Martin Friebe Status new => assigned
2010-03-24 04:42 Martin Friebe Assigned To => Martin Friebe
2010-03-24 04:46 Martin Friebe LazTarget - => 0.9.30
2010-03-24 04:46 Martin Friebe Note Added: 0036011
2010-03-24 04:46 Martin Friebe Status assigned => feedback
2010-03-24 04:46 Martin Friebe Target Version => 0.9.30
2010-03-24 17:22 Flávio Etrusco Note Added: 0036037
2010-03-24 19:36 Martin Friebe Note Added: 0036041
2010-03-24 19:38 Martin Friebe LazTarget 0.9.30 => 1.0
2010-03-24 19:38 Martin Friebe Assigned To Martin Friebe =>
2010-03-24 19:38 Martin Friebe Status feedback => confirmed
2010-03-24 19:38 Martin Friebe Target Version 0.9.30 => 1.0.0
2010-03-24 19:38 Martin Friebe Summary Disabling breakpoint doesn't update/invalidate the icon in the gutter => Disabling breakpoint shows as "enabled" (red dot on gutter) when/while stepping over it
2010-03-27 01:05 Flávio Etrusco File Added: breakpoint-display-fix.svndiff
2010-03-27 01:06 Flávio Etrusco File Added: debugger_current_line_inactive_breakpoint.png
2010-03-27 01:06 Flávio Etrusco File Added: UnknownInactiveBreakPoint.png
2010-03-27 01:14 Flávio Etrusco Note Added: 0036147
2010-03-27 01:14 Martin Friebe Status confirmed => assigned
2010-03-27 01:14 Martin Friebe Assigned To => Martin Friebe
2010-03-27 01:55 Flávio Etrusco Note Edited: 0036147
2010-03-28 10:55 Flávio Etrusco File Deleted: UnknownInactiveBreakPoint.png
2010-03-28 10:55 Flávio Etrusco File Deleted: breakpoint-display-fix.svndiff
2010-03-28 11:07 Flávio Etrusco File Added: InvalidDisabledBreakPoint.png
2010-03-28 11:17 Flávio Etrusco File Deleted: debugger_current_line_inactive_breakpoint.png
2010-03-28 11:17 Flávio Etrusco File Added: UnknownDisabledBreakPoint.png
2010-03-28 11:18 Flávio Etrusco File Added: debugger_current_line_disabled_breakpoint.png
2010-03-28 12:46 Flávio Etrusco File Added: breakpoint_display_fix.r24262M.svndiff
2010-03-28 14:49 Martin Friebe Fixed in Revision => 21264
2010-03-28 14:49 Martin Friebe LazTarget 1.0 => 0.9.30
2010-03-28 14:49 Martin Friebe Status assigned => resolved
2010-03-28 14:49 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-03-28 14:49 Martin Friebe Resolution open => fixed
2010-03-28 14:49 Martin Friebe Note Added: 0036200
2010-03-28 14:49 Martin Friebe Target Version 1.0.0 => 0.9.30
2010-03-30 10:12 Flávio Etrusco Status resolved => closed